## dj-database-url 3.0.1

=== requirements.txt ===
coverage
mypy
pyright

## dj-database-url 0.4.2

=== debian/changelog ===
dj-database-url (0.4.2-3) unstable; urgency=medium

  * DH_LEVEL: 11
  * debian/control:
      - Bump Standards-Version from 4.0.0 to 4.1.3 - no changes
      - Update Vcs-* entries - salsa.debian.org
  * Rename python3-*.install -> python3-*.docs

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 21 Jan 2018 13:29:07 -0200

dj-database-url (0.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Bump STD-Version 3.9.8 -> 4.0.0.
      - Add Vcs-* fields.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 02 Jul 2017 15:20:43 -0300

dj-database-url (0.4.2-1) experimental; urgency=medium

  * Initial release (Closes: #863092)

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 21 May 2017 14:11:46 -0300

=== debian/control ===
Source: dj-database-url
Section: python
Priority: optional
Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.3
X-Python3-Version: >= 3.2
Homepage: https://pypi.python.org/pypi/dj-database-url
Vcs-Git: https://salsa.debian.org/debian/dj-database-url.git
Vcs-Browser: https://salsa.debian.org/debian/dj-database-url

Package: python3-dj-database-url
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django utility to utilize a DB env var (Python 3)
 This simple Django utility allows you to utilize the 12factor
 inspired DATABASE_URL environment variable to configure your
 Django application.
 .
 The dj_database_url.config method returns a Django database
 connection dictionary, populated with all the data specified
 in your URL. There is also a conn_max_age argument to easily
 enable Django’s connection pool.
 .
 If you’d rather not use an environment variable, you can pass
 a URL in directly instead to dj_database_url.parse.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=dj-database-url

%:
	dh $@ --with python3 --buildsystem=pybuild

## dj-database-url 0.5.0

=== debian/changelog ===
dj-database-url (0.5.0-2) unstable; urgency=medium

  * debian/control:
      - Bump Standards-Version from 4.1.3 to 4.1.4
      - Remove ancient-python-version-field
  * debian/rules:
      - Remove empty line
  * Add debian/tests dir with files for CI

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Jun 2018 08:59:43 -0300

dj-database-url (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * debian/copyright:
      - Update year in all Files entries
  * debian/upstream:
      - Create metadata file

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 10 Mar 2018 09:57:06 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.2
+Standards-Version: 4.1.4
 Homepage: https://pypi.python.org/pypi/dj-database-url
 Vcs-Git: https://salsa.debian.org/debian/dj-database-url.git
 Vcs-Browser: https://salsa.debian.org/debian/dj-database-url

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PyPI
https://pypi.debian.net/dj-database-url/dj-database-url-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dj-database-url 3.0.1

=== debian/changelog ===
dj-database-url (3.0.1-1) unstable; urgency=medium

  * Adopt package (Closes: #986931).
  * d/compat: remove, no longer required.
  * d/control:
      - Reformat fields.
      - Set new maintainer/uploader.
      - Update fields to match new upstream repository location.
      - Bump Standards-Version to 4.7.2.
      - Use debhelper-compat (= 13).
  * d/copyright: update years.
  * d/gbp.conf: add new file.
  * d/rules: use pybuild with Python 3.
  * d/salsa-ci.yml: add CI configuration file.
  * d/tests/: remove, no longer required.
  * d/upstream/metadata: add file and update fields.
  * d/watch: update to version 5 format.

 -- Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>  Sat, 25 Oct 2025 19:07:44 +0000

=== debian/control ===
Source: dj-database-url
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-pytest <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.2
Homepage: https://github.com/jazzband/dj-database-url
Vcs-Git: https://salsa.debian.org/python-team/packages/dj-database-url.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/dj-database-url

Package: python3-dj-database-url
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django utility to utilize a DB env var (Python 3)
 This simple Django utility allows you to utilize the 12factor
 inspired DATABASE_URL environment variable to configure your
 Django application.
 .
 The dj_database_url.config method returns a Django database
 connection dictionary, populated with all the data specified
 in your URL. There is also a conn_max_age argument to easily
 enable Django's connection pool.
 .
 If you'd rather not use an environment variable, you can pass
 a URL in directly instead to dj_database_url.parse.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jazzband
Project: dj-database-url

## dj-database-url 3.1.0

=== debian/changelog ===
dj-database-url (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0.
  * d/control:
      - Bump Standards-Version to 4.7.2.
      - Remove Priority field, now optional.
      - Add missing build dependencies for PEP builds.
  * d/patches:
      - Switch PEP build backend from uv_build to setuptools, since
        uv_build is not yet available in Debian.
      - Drop obsolete license classifier in pyproject.toml.

 -- Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>  Sun, 04 Jan 2026 15:56:25 +0000

## dj-database-url 3.1.2

=== debian/changelog ===
dj-database-url (3.1.2-1) unstable; urgency=medium

  * New upstream release 3.1.2.
  * d/patches:
      - Update use-setuptools-backend.diff to match upstream.

 -- Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>  Fri, 20 Feb 2026 09:05:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: dj-database-url
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gabriel Barrantes <gabriel.barrantes.dev@outlook.com>
 Build-Depends:
  debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  dh-python,
  python3-all,
  python3-setuptools,
+ python3-wheel,
  python3-pytest <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jazzband/dj-database-url
 Vcs-Git: https://salsa.debian.org/python-team/packages/dj-database-url.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dj-database-url
